Bug 1419153 - Please branch for epel7
Summary: Please branch for epel7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shade
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lars Kellogg-Stedman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1460748 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 17:29 UTC by Adam Miller
Modified: 2018-05-29 11:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Miller 2017-02-03 17:29:19 UTC
I would like to request an epel7 branch be created and that this package be maintained for EL7 also. If there is no interest in doing so from the current package maintainers, I would be happy to take on the task and would apply in pkgdb as a co-packager only for the epel7 branch.

Thank you,
-AdamM

Comment 1 Paul Belanger 2017-02-03 17:32:57 UTC
This is on my list to do, but until all the dependencies are added to epel7 for shade, there is little to no point.

Specifically, the openstack clients need to be moved into epel7. And speaking with RDO developers, they have little interest in doing this.

Comment 2 Robert Locke 2017-02-03 17:37:41 UTC
Does it make sense to consider this with the assumption of RDO being enabled? Not sure about the politics of making this work (since I requested Adam to create this).

Comment 3 Lars Kellogg-Stedman 2017-02-03 17:43:21 UTC
RDO doesn't have python-shade packaged either, because it's development model apparently makes it difficult to package for a particular openstack release.  Some context here:

https://www.redhat.com/archives/rdo-list/2016-August/msg00213.html

There is apparently some upstream work going on to make shade more palatable for this sort of scenario.

Comment 4 Paul Belanger 2017-02-03 17:47:37 UTC
Yes, shade is in the process of removing dependencies on the openstack python clients, in place it will just make the REST calls itself.

Once this work has been completed, it will be much easier to manage the package dependencies. I expect once that work is done, we'll be able to land this into epel7 easier.

For now, I'm doing my best to keep rawhide up to date.

Comment 5 Fedora End Of Life 2017-02-28 11:10:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Paul Belanger 2017-06-13 12:47:46 UTC
*** Bug 1460748 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2018-05-03 08:05:03 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:19:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.